# Element Data

- [css\_value](https://docs.pylenium.io/element-commands/element-data/css_value.md): Get the CSS Value of the element given the property name.
- [get\_attribute](https://docs.pylenium.io/element-commands/element-data/get_attribute.md): The command to get the attribute's value with the given name.
- [get\_property](https://docs.pylenium.io/element-commands/element-data/get_property.md): The command to get the specified property's value of the element.
- [tag\_name](https://docs.pylenium.io/element-commands/element-data/tag_name.md): The command that gets the current Element's tag name.
- [text](https://docs.pylenium.io/element-commands/element-data/text.md): The command to get the text of the current Element.
- [is\_checked](https://docs.pylenium.io/element-commands/element-data/is_checked.md): The command to check if this element is checked.
- [is\_displayed](https://docs.pylenium.io/element-commands/element-data/is_displayed.md): The command to check if this element is displayed.
- [is\_enabled](https://docs.pylenium.io/element-commands/element-data/is_enabled.md): The command to check if the element is enabled.
- [is\_selected](https://docs.pylenium.io/element-commands/element-data/is_selected.md): The command that checks if the element is selected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/element-commands/element-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
